Skip to main content

Get Location Asset Resource by ID

API Description

Get information about a specific location asset resource, including resource state. Supply the unique Apple-generated asset ID assigned to the partner’s description of the asset, and the service will return the corresponding resource.

note

Service does not return "soft" deleted resources. Refer to the Get service

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
assetId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/locations/{locationId}/assets/{assetId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 343deff4-b610-4a5f-9d0c-159d702a5ddf
content-type: application/json
etag: "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483"

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654901",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-02T09:45:21.00Z",
"state": "SUBMITTED",
"etag": "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
}
}